summaryrefslogtreecommitdiff
path: root/help/fi/file-selection.page
diff options
context:
space:
mode:
authorJeremy Bicha <jbicha@debian.org>2017-12-16 13:06:02 -0500
committerJeremy Bicha <jbicha@debian.org>2017-12-16 13:06:02 -0500
commitf821adc6c1844f3dbd59a5c51bb68fb80f295aa0 (patch)
tree28ff6652502c6adc1b661e0eb4dd3a8adbf60404 /help/fi/file-selection.page
parentInitial upstream branch (diff)
parentRelease: Prepare for 3.26.0 (diff)
downloadzenity-f821adc6c1844f3dbd59a5c51bb68fb80f295aa0.tar.gz
zenity-f821adc6c1844f3dbd59a5c51bb68fb80f295aa0.tar.bz2
zenity-f821adc6c1844f3dbd59a5c51bb68fb80f295aa0.zip
New upstream version 3.26.0
Diffstat (limited to 'help/fi/file-selection.page')
-rw-r--r--help/fi/file-selection.page67
1 files changed, 67 insertions, 0 deletions
diff --git a/help/fi/file-selection.page b/help/fi/file-selection.page
new file mode 100644
index 00000000..ac6f6b6b
--- /dev/null
+++ b/help/fi/file-selection.page
@@ -0,0 +1,67 @@
+<?xml version="1.0" encoding="utf-8"?>
+<page xmlns="http://projectmallard.org/1.0/" type="topic" id="file-selection" xml:lang="fi">
+ <info>
+ <link type="guide" xref="index#dialogs"/>
+ <desc>Use the <cmd>--file-selection</cmd> option.</desc>
+ </info>
+ <title>Tiedoston valintaikkuna</title>
+ <p>
+ Use the <cmd>--file-selection</cmd> option to create a file selection dialog. <app>Zenity</app> returns the selected files or directories to standard
+ output. The default mode of the file selection dialog is open.
+ </p>
+ <p>Tiedoston valintaikkuna tarjoaa seuraavat valitsimet:</p>
+
+ <terms>
+
+ <item>
+ <title><cmd>--filename</cmd>=<var>filename</var></title>
+ <p>Määrittää tiedoston tai hakemiston, joka on aluksi ikkunan tullessa näkyviin valittuna tiedoston valintaikkunassa.</p>
+ </item>
+
+ <item>
+ <title><cmd>--multiple</cmd></title>
+ <p>Sallii valita kerralla useamman tiedoston tiedoston valintaikkunassa.</p>
+ </item>
+
+ <item>
+ <title><cmd>--directory</cmd></title>
+ <p>Sallii vain hakemistojen valitsemisen tiedoston valintaikkunassa.</p>
+ </item>
+
+ <item>
+ <title><cmd>--save</cmd></title>
+ <p>Asettaa tiedoston valintaikkunan tallennustilaan.</p>
+ </item>
+
+ <item>
+ <title><cmd>--separator</cmd>=<var>separator</var></title>
+ <p>Määrittää merkkijonon, jota käytetään erottamaan tiedostot palautettavassa tiedostonimien luettelossa.</p>
+ </item>
+
+ </terms>
+
+ <p>
+ The following example script shows how to create a file selection dialog:
+ </p>
+
+<code>
+#!/bin/sh
+
+FILE=`zenity --file-selection --title="Select a File"`
+
+case $? in
+ 0)
+ echo "\"$FILE\" selected.";;
+ 1)
+ echo "No file selected.";;
+ -1)
+ echo "An unexpected error has occurred.";;
+esac
+</code>
+
+ <figure>
+ <title>Esimerkki tiedoston valintaikkunasta</title>
+ <desc><app>Zenity</app> file selection dialog example</desc>
+ <media type="image" mime="image/png" src="figures/zenity-fileselection-screenshot.png"/>
+ </figure>
+</page>
bgstack15